Package org.eclipse.ecf.remoteservice.servlet

# Class RemoteServiceHttpServlet

java.lang.Object
javax.servlet.GenericServlet
javax.servlet.http.HttpServlet
org.eclipse.ecf.remoteservice.servlet.RemoteServiceHttpServlet

All Implemented Interfaces:
  `Serializable`, `javax.servlet.Servlet`, `javax.servlet.ServletConfig`

public class RemoteServiceHttpServlet extends javax.servlet.http.HttpServlet

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`RemoteServiceHttpServlet()`

## Method Summary

Modifier and Type
Method
Description
`protected IRemoteCallParameterDeserializer`
`getRemoteCallParameterDeserializer()`
`protected IRemoteCallResponseSerializer`
`getRemoteCallResponseSerializer()`
`protected void`
`setRemoteCallParameterDeserializer(IRemoteCallParameterDeserializer parameterDeserializer)`
`protected void`
`setRemoteCallResponseSerializer(IRemoteCallResponseSerializer responseSerializer)`

### Methods inherited from class javax.servlet.http.HttpServlet

`doDelete, doGet, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

### Methods inherited from class javax.servlet.GenericServlet

`destroy, getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, init, log, log`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### RemoteServiceHttpServlet

public RemoteServiceHttpServlet()

## Method Details

### setRemoteCallParameterDeserializer

protected void setRemoteCallParameterDeserializer(IRemoteCallParameterDeserializer parameterDeserializer)

### setRemoteCallResponseSerializer

protected void setRemoteCallResponseSerializer(IRemoteCallResponseSerializer responseSerializer)

### getRemoteCallParameterDeserializer

protected IRemoteCallParameterDeserializer getRemoteCallParameterDeserializer()

### getRemoteCallResponseSerializer

protected IRemoteCallResponseSerializer getRemoteCallResponseSerializer()